VERSION 5.00
Begin VB.Form MainView 
   Caption         =   "MainView"
   ClientHeight    =   3015
   ClientLeft      =   120
   ClientTop       =   465
   ClientWidth     =   4560
   LinkTopic       =   "Form1"
   ScaleHeight     =   3015
   ScaleWidth      =   4560
   StartUpPosition =   2  'Bildschirmmitte
End
Attribute VB_Name = "MainView"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' Copyright (c) Traeger Industry Components GmbH.  All Rights Reserved.
Option Explicit

Private WithEvents connection As SimaticDeviceConnection
Attribute connection.VB_VarHelpID = -1

'
' This sample demonstrates how to work with notifications.
'
Private Sub Form_Load()
    Dim device As SimaticDevice
    Set device = New_SimaticDevice( _
            New_IPDeviceEndPoint("188.193.68.252"), SimaticDeviceType_S7300_400)
            
    Set connection = device.CreateConnection()
            
    ''' Simply assign custom event handlers to the appropriate events like the
    ''' following methods demonstrate.
    
    Call connection.Open
    
    ''' An explicit call to Connect() is not required. But it will be done here to
    ''' demonstrate the appropriate state changes which occur in case of the
    ''' first attempt to acccess the PLC device.
    Call connection.Connect
    
    Call connection.Close
    Call Unload(Me)
End Sub



Private Sub connection_Closed(sender As Object, ByVal e As ComEventArgs)
    ' The passed sender does provide the instance affected by the event.
    Dim senderConnection As PlcDeviceConnection
    Set senderConnection = sender

    Debug.Print "State of connection to '" _
            & senderConnection.device.endPoint & "': " _
            & senderConnection.State & " (Closed)"
End Sub

Private Sub connection_Closing(sender As Object, ByVal e As ComEventArgs)
    ' The passed sender does provide the instance affected by the event.
    Dim senderConnection As PlcDeviceConnection
    Set senderConnection = sender

    Debug.Print "State of connection to '" _
            & senderConnection.device.endPoint & "': " _
            & senderConnection.State & " (Closing)"
End Sub

Private Sub connection_Connected(sender As Object, ByVal e As ComEventArgs)
    ' The passed sender does provide the instance affected by the event.
    Dim senderConnection As PlcDeviceConnection
    Set senderConnection = sender

    Debug.Print "State of connection to '" _
            & senderConnection.device.endPoint & "': " _
            & senderConnection.State & " (Connected)"
End Sub

Private Sub connection_Disconnected(sender As Object, ByVal e As ComEventArgs)
    ' The passed sender does provide the instance affected by the event.
    Dim senderConnection As PlcDeviceConnection
    Set senderConnection = sender

    Debug.Print "State of connection to '" _
            & senderConnection.device.endPoint & "': " _
            & senderConnection.State & " (Disconnected)"
End Sub

Private Sub connection_Faulted(sender As Object, ByVal e As ComEventArgs)
    ' The passed sender does provide the instance affected by the event.
    Dim senderConnection As PlcDeviceConnection
    Set senderConnection = sender

    Debug.Print "State of connection to '" _
            & senderConnection.device.endPoint & "': " _
            & senderConnection.State & " (Faulted)"
End Sub

Private Sub connection_Opened(sender As Object, ByVal e As ComEventArgs)
    ' The passed sender does provide the instance affected by the event.
    Dim senderConnection As PlcDeviceConnection
    Set senderConnection = sender

    Debug.Print "State of connection to '" _
            & senderConnection.device.endPoint & "': " _
            & senderConnection.State & " (Opened)"
End Sub

Private Sub connection_Opening(sender As Object, ByVal e As ComEventArgs)
    ' The passed sender does provide the instance affected by the event.
    Dim senderConnection As PlcDeviceConnection
    Set senderConnection = sender

    Debug.Print "State of connection to '" _
            & senderConnection.device.endPoint & "': " _
            & senderConnection.State & " (Opening)"
End Sub

Private Sub connection_StateChanged(sender As Object, ByVal e As PlcDeviceConnectionStateChangedEventArgs)
    ' The passed sender does provide the instance affected by the event.
    Dim senderConnection As PlcDeviceConnection
    Set senderConnection = sender

    Debug.Print "State of connection to '" & senderConnection.device.endPoint & "':"
    Debug.Print "-> Changed from " & e.OldState & " to " & e.NewState & "."
End Sub
